Replace
<API_KEY> with your actual Profound API key value. Learn how to generate it in Authentication.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Sample requests for OpenAI Ads Partner API endpoints
<API_KEY> with your actual Profound API key value. Learn how to generate it in Authentication.curl -G "https://api.tryprofound.com/v1/ads/openai-ads/ad-account/insights" \
-H "X-API-Key: your_api_key" \
-d "aggregation_level=campaign" \
--data-urlencode 'time_ranges[]={"type":"date_range","since":"2026-07-01","until":"2026-07-18"}'
curl -G "https://api.tryprofound.com/v1/ads/openai-ads/ad-account/insights" \
-H "X-API-Key: your_api_key" \
-d "aggregation_level=campaign" \
-d "time_granularity=daily" \
--data-urlencode 'time_ranges[]={"type":"date_range","since":"2026-07-01","until":"2026-07-18"}'
Was this page helpful?